import { z } from 'zod';
import { EntitySchema } from '@isa/common/data-access';

export const LogisticianSchema = z
  .object({
    gln: z.string().describe('Gln').optional(),
    logisticianNumber: z.string().describe('Logistician number').optional(),
    name: z.string().describe('Name').optional(),
  })
  .extend(EntitySchema.shape);

export type Logistician = z.infer<typeof LogisticianSchema>;
